[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.Create

Constructor for the class instance.

## Declaration

Source position: clipbrd.pp line 194

`public constructor TClipboard.Create; constructor TClipboard.Create(`
`AClipboardType: TClipboardType`
`);`

## Arguments

`AClipboardType` |  | Specified the type of clipboard to be created (normal, primary, or secondary).

## Description

Create is the overloaded constructor for the class instance.

There is a parameterless variant that reimplements the method from TPersistent to use the ctClipboard type. A variant which includes the AClipboardType argument is available; the argument value is stored in the ClipboardType property for the class instance. It allows creation of clipboard instances used on the GTK platform.

## See also

TClipboard.ClipboardType |  | Contains the clipboard type for the platform.
TClipboardType |  | Represents the sources or dispositions for clipboard data.